﻿@model IList<ViewModels.Site.SiteVisitMonthlyViewModel>

@{
    ViewBag.Title = "داشبورد";
    Layout = "~/Areas/Admin/Views/Shared/_DashboardLayout.cshtml";
}

@section Styles{
    <!-- start monthly visit chart -->
    <link href="~/Content/admin/bower_components/morrisjs/morris.css" rel="stylesheet">
    <link href="~/Content/admin/css/chart.css" rel="stylesheet" />
    <!-- end monthly visit chart -->
}


<div class="alert alert-info">
    <ul>
        <li>
            توجه نمایید که کلیه قیمت ها به ریال است
        </li>
    </ul>    
</div>

<!-- start dashboard top boxes -->
@*<div class="row">
    <div class="col-lg-12">
        @{ Html.RenderAction("_DashboardTopBoxes", "Partial", new { area = "admin" }); }
    </div>
</div>*@
<!-- end dashboard top boxes -->


<!-- start monthly visit chart -->
<div class="row">
    <div class="col-lg-3">
        @{ Html.RenderAction("_SiteVisitReport", "Partial", new { area = "admin" }); }
    </div>
    <div class="col-lg-9">
        <div class="panel panel-default">
            <div class="panel-heading">
                <i class="fa fa-bar-chart-o fa-fw"></i> آمار بازدید ماهانه
            </div>
            <div class="panel-body">
                <div id="chartContainer" style="height:300px; width: 100%;"></div>
                <br />
                <input type="button" value="نمایش موجی شکسته" id="btnArea" />
                <input type="button" value="نمایش موجی" id="btnSplineArea" />
                <input type="button" value="نمایش خطی" id="btnLine" />
                <input type="button" value="نمایش ستونی" id="btnColumn" />
            </div>
        </div>
    </div>
</div>
<!-- end monthly visit chart -->

@section Scripts{
    <!-- start monthly visit chart -->
    <script src="~/Content/lib/js/jquery.canvasjs.min.js"></script>
    <script type="text/javascript">

    var chartType = "area";

    $(document).ready(function () {

        ShowChart();

        $('#btnSplineArea').click(function () {
            chartType = "splineArea";
            ShowChart();
        });

        $('#btnColumn').click(function () {
            chartType = "column";
            ShowChart();
        });

        $('#btnLine').click(function () {
            chartType = "line";
            ShowChart();
        });

        $('#btnArea').click(function () {
            chartType = "area";
            ShowChart();
        });


    });


    function ShowChart() {

        var options = {
            exportEnabled: true,
            animationEnabled: true,
            title: {
                text: " "
            },
            axisY: {
                title: " "
            },
            data: [
            {
                type: chartType, //change it to line, area, bar, pie, column, splineArea
                color: "#F5C30A",
                dataPoints: [
                    { label: '@Html.ShowPersianMonth(1)', x: 1, y: parseInt('@Model[0].VisitCount') },
                    { label: '@Html.ShowPersianMonth(2)', x: 2, y: parseInt('@Model[1].VisitCount') },
                    { label: '@Html.ShowPersianMonth(3)', x: 3, y: parseInt('@Model[2].VisitCount') },
                    { label: '@Html.ShowPersianMonth(4)', x: 4, y: parseInt('@Model[3].VisitCount') },
                    { label: '@Html.ShowPersianMonth(5)', x: 5, y: parseInt('@Model[4].VisitCount') },
                    { label: '@Html.ShowPersianMonth(6)', x: 6, y: parseInt('@Model[5].VisitCount') },
                    { label: '@Html.ShowPersianMonth(7)', x: 7, y: parseInt('@Model[6].VisitCount') },
                    { label: '@Html.ShowPersianMonth(8)', x: 8, y: parseInt('@Model[7].VisitCount') },
                    { label: '@Html.ShowPersianMonth(9)', x: 9, y: parseInt('@Model[8].VisitCount') },
                    { label: '@Html.ShowPersianMonth(10)', x: 10, y: parseInt('@Model[9].VisitCount') },
                    { label: '@Html.ShowPersianMonth(11)', x: 11, y: parseInt('@Model[10].VisitCount') },
                    { label: '@Html.ShowPersianMonth(12)', x: 12, y: parseInt('@Model[11].VisitCount') }
                ]
            }
            ]
        };

        $("#chartContainer").CanvasJSChart(options);

    }

    </script>
    <!-- end monthly visit chart -->
}